local function RandomBanner()
	local song = SONGMAN:GetRandomSong();
	if song then
		local path = song:GetBannerPath();
		if path then return path;
		else return THEME:GetPathG("Common fallback", "banner");
		end;
	else
		return THEME:GetPathG("Common fallback", "banner");
	end
end;

local x = Def.ActorFrame{
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
	OnCommand=cmd(linear,0.2;diffusealpha,1);
	OffCommand=cmd(linear,0.2;diffusealpha,0);

	LoadActor("_under")..{ Name="Frame"; };

	-- banner
	Def.ActorFrame{
		Name="Banner";
		InitCommand=cmd(y,-102);

		LoadActor(RandomBanner())..{ InitCommand=cmd(scaletoclipped,256,80); };
		LoadActor(THEME:GetPathB("","_frame 3x1"), "_bannerframe", 214);
	};

	-- arrows
	LoadActor(THEME:GetPathG("EditMenu","Left"))..{
		Name="LeftArrow";
		InitCommand=cmd(x,-200;);
	};
	LoadActor(THEME:GetPathG("EditMenu","Right"))..{
		Name="RightArrow";
		InitCommand=cmd(x,200;);
	};
};

return x;